package controller

import (
	"drive-linked/pkg/service"
	"github.com/kataras/iris/v12"
)

func UserProfile(ctx iris.Context) {
	serv := service.NewUsersService(ctx)

	// 获取所有查询条件参数
	var conditions map[string]interface{}
	for _, field := range service.UserConditions {
		if ctx.Params().GetString(field) != "" {
			conditions[field] = ctx.Params().GetString(field)
		}
	}
	serv.GetOneUser(&conditions)
	ctx.Next()
}
